Bug 879879 - Review Request: moodle-xs - A Course Management System
Review Request: moodle-xs - A Course Management System
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2012-11-24 21:36 EST by kparmar4
Modified: 2013-11-21 10:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kparmar4 2012-11-24 21:36:34 EST
Spec URL: https://www.dropbox.com/s/1nueeablnrknpta/moodle-xs.spec
SRPM URL: https://www.dropbox.com/s/yorim1esj855tac/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.src.rpm
Description: Hi, I have rebuild this package to meet Fedora Packaging Guidelines and require a review. I obtained the original package from build.laptop.org.au/xs/XS-0.7+/repos/XS-F17ARM/SRPMS/moodle-xs-1.9.5.xs1.15.g7c6a865-1.fc17.src.rpm.

There is a problem with this package. Every time I build the package using rpmbuild command, it supposed to create a directory in /var but it doesn't. The full path of the directory supposed to be created is in first two lines of the spec file in define tag. I am not sure why it is behaving like that. I have run fedora-review tool on it.

Fedora Account System Username: kparmar4

Output of Fedora-Review Tool:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Conflicts
[!]: Package does not contain duplicates in %files.
     Note: warning: File listed twice: /var/www/moodle/web/config.php
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: unzip
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find COPYING in rpm(s)
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: unzip
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[!]: Package does not contain duplicates in %files.
     Note: warning: File listed twice: /var/www/moodle/web/config.php
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find COPYING in rpm(s)
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "*No copyright* GPL (v2 or later) (with incorrect FSF address)",
     "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "PHP (v3.0)", "Unknown or generated", "*No copyright* BSD (2 clause)",
     "*No copyright* GPL (v3 or later)", "PHP (v2.0)", "*No copyright* Public
     domain", "MIT/X11 (BSD like)", "LGPL (v3 or later)", "PHP (v2.02)", "BSD
     (2 clause)", "LGPL (v2.1 or later)", "PHP (v3.01)". 16 files have unknown
     license. Detailed output of licensecheck in /home/kparmar4/rpmbuild/SRPMS
     /review-moodle-xs/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[ ]: Package contains the mandatory BuildRequires and Reguires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?
[ ]: CPAN urls should be non-versioned.
     Note: Test run failed

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[ ]: Buildroot is not present
     Note: Buildroot: present but not needed
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define.
     Note: %define moodlewebdir %{_var}/www/moodle/web %define moodledatadir
     %{_var}/lib/moodle %define __perl_requires %{nil} %define __perl_provides
     %{nil}

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch.rpm
          moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.src.rpm
moodle-xs.noarch: E: explicit-lib-dependency librsvg2
moodle-xs.noarch: E: useless-provides moodle-xs
moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/temp_user_styles.css
moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/pix/mod/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/pix/t/TINY-ICONS
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/phpmailer/LICENSE
moodle-xs.noarch: E: script-without-shebang /var/www/moodle/web/lib/editor/htmlarea/plugins/SpellChecker/spell-check-logic.cgi
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/smarty/COPYING.lib
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/pclzip/gnu-lgpl.txt
moodle-xs.noarch: E: incoherent-logrotate-file /etc/logrotate.d/moodle
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/editor/htmlarea/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/typo3/csconvtbl/ascii.tbl
moodle-xs.noarch: E: zero-length /var/www/moodle/web/mod/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/adodb/index.html
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/editor/tinymce/jscripts/tiny_mce/license.txt
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/mod/wiki/ewiki/plugins/lib/mime_magic.php
moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/pix/i/ICONS-16x16
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/speller/blank.html
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/soap/nusoap.php
moodle-xs.noarch: E: zero-length /var/www/moodle/web/auth/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/editor/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/pix/i/ICONS-16x16
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/kses.php
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/graphlib.php
moodle-xs.noarch: E: non-executable-script /var/www/moodle/web/admin/mailout-debugger.php 0644L /usr/bin/php
moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/pix/t/TINY-ICONS
moodle-xs.noarch: W: no-manual-page-for-binary moodle-cron
moodle-xs.noarch: W: dangerous-command-in-%post chmod
moodle-xs.noarch: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/moodle
moodle-xs.noarch: W: incoherent-init-script-name moodle ('moodle-xs', 'moodle-xsd')
moodle-xs.src: W: invalid-url Source0: moodle-xs-1.9.5.xs1.15.g7c6a865.tar.gz
2 packages and 0 specfiles checked; 26 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint moodle-xs
moodle-xs.noarch: E: explicit-lib-dependency librsvg2
moodle-xs.noarch: E: useless-provides moodle-xs
moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/temp_user_styles.css
moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/pix/mod/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/pix/t/TINY-ICONS
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/phpmailer/LICENSE
moodle-xs.noarch: E: script-without-shebang /var/www/moodle/web/lib/editor/htmlarea/plugins/SpellChecker/spell-check-logic.cgi
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/smarty/COPYING.lib
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/pclzip/gnu-lgpl.txt
moodle-xs.noarch: E: incoherent-logrotate-file /etc/logrotate.d/moodle
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/editor/htmlarea/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/typo3/csconvtbl/ascii.tbl
moodle-xs.noarch: E: zero-length /var/www/moodle/web/mod/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/adodb/index.html
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/editor/tinymce/jscripts/tiny_mce/license.txt
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/mod/wiki/ewiki/plugins/lib/mime_magic.php
moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/pix/i/ICONS-16x16
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/speller/blank.html
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/soap/nusoap.php
moodle-xs.noarch: E: zero-length /var/www/moodle/web/auth/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/lib/editor/index.html
moodle-xs.noarch: E: zero-length /var/www/moodle/web/pix/i/ICONS-16x16
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/kses.php
moodle-xs.noarch: E: incorrect-fsf-address /var/www/moodle/web/lib/graphlib.php
moodle-xs.noarch: E: non-executable-script /var/www/moodle/web/admin/mailout-debugger.php 0644L /usr/bin/php
moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/pix/t/TINY-ICONS
moodle-xs.noarch: W: no-manual-page-for-binary moodle-cron
moodle-xs.noarch: W: dangerous-command-in-%post chmod
moodle-xs.noarch: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/moodle
moodle-xs.noarch: W: incoherent-init-script-name moodle ('moodle-xs', 'moodle-xsd')
1 packages and 0 specfiles checked; 26 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /bin/sh  
    /sbin/chkconfig  
    /sbin/service  
    /usr/bin/perl  
    /usr/bin/php  
    config(moodle-xs) = 1.9.5.xs1.15.g7c6a865-1.0.2.fc17
    librsvg2  
    mimetex  
    perl(CGI)  
    perl(Encode)  
    perl(HTML::Entities)  
    perl(HTML::Parser)  
    perl(Text::Aspell)  
    perl(lib)  
    php  
    php-gd  
    php-mbstring  
    php-pgsql  
    php-xmlrpc  
    pwgen  
    vixie-cron  



Provides
--------
moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch.rpm:
    
    config(moodle-xs) = 1.9.5.xs1.15.g7c6a865-1.0.2.fc17
    moodle-xs = 1.9.0
    moodle-xs = 1.9.5.xs1.15.g7c6a865-1.0.2.fc17
    perl(AlgParser)  
    perl(AlgParserWithImplicitExpand)  
    perl(Expr)  
    perl(ExprWithImplicitExpand)  



MD5-sum check
-------------


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-i386
Command line :/usr/bin/fedora-review --rpm-spec --name moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.src.rpm
Comment 1 ben.harper 2012-11-29 18:48:20 EST
Note that I am not a sponsor, but I starting some reviews in an effort to become a packager. 

Looking over your description and the source RPM, it is not clear to me the issues you are having.  It appears that your spec file is able to create plenty of files and folders within /var:

#####################
$ cat /etc/issue
Fedora release 17 (Beefy Miracle)
Kernel \r on an \m (\l)

$ rpmbuild -bb SPECS/moodle-xs.spec 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.UpeAWF
+ umask 022
+ cd /home/user/879879/user/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/user/879879/user/BUILD
+ rm -rf moodle-xs-1.9.5.xs1.15.g7c6a865
+ /usr/bin/gzip -dc /home/user/879879/user/SOURCES/moodle-xs-1.9.5.xs1.15.g7c6a865.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ find . -type f '!' -name '*.pl' -exec chmod a-x '{}' ';'
+ find . -name '*.cgi' -exec chmod a+x '{}' ';'
+ chmod a+x admin/process_email.php
+ chmod a+x mod/chat/chatd.php
+ chmod a+x mod/wiki/ewiki/fragments/mkhuge
+ rm search/.cvsignore
+ sed -i 's/\r//' lib/adodb/license.txt
+ sed -i 's/\r//' lib/adodb/readme.txt
+ sed -i 's/\r//' lib/adodb/session/adodb-sess.txt
+ sed -i 's/\r//' lib/mp3player/readme.txt
+ sed -i 's/\r//' lib/pclzip/gnu-lgpl.txt
+ sed -i 's/\r//' lib/pclzip/readme.txt
+ sed -i 's/\r//' mod/wiki/ewiki/README
+ sed -i 's/\r//' mod/wiki/ewiki/README.de
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.fEdmYX
+ umask 022
+ cd /home/user/879879/user/BUILD
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm config-dist.php install.php COPYING.txt tags.txt filter/tex/mimetex.darwin filter/tex/mimetex.exe filter/tex/mimetex.freebsd filter/tex/mimetex.linux filter/tex/README.mimetex
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.7GA74f
+ umask 022
+ cd /home/user/879879/user/BUILD
+ '[' /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64 '!=' / ']'
+ rm -rf /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64
++ dirname /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64
+ mkdir -p /home/user/879879/user/BUILDROOT
+ mkdir /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ LANG=C
+ export LANG
+ unset DISPLAY
+ mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web
+ mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/lib/moodle
+ mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/log/moodle
+ mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/moodle/conf.d
+ cp -a Makefile README.txt admin auth backup blocks blog build-version calendar course enrol error file.php files filter grade group help.php index.php install iplookup lang lib local login message mnet mod my notes pix question rpm rss search sso tag theme user userpix version.php /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web
+ rm /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/README.txt
+ rm -fr /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/install
+ install -p -D -m 0644 rpm/moodle.conf /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/httpd/conf.d/moodle.conf
+ install -p -D -m 0644 rpm/moodle-config.php /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/config.php
+ install -p -D -m 0644 rpm/moodle.cron /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/cron.d/moodle
+ install -p -D -m 0644 rpm/moodle.logrotate /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/logrotate.d/moodle
+ install -p -D -m 0755 rpm/moodle-cron /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/usr/sbin/moodle-cron
+ install -p -D -m 0755 rpm/moodle.init /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/rc.d/init.d/moodle
+ rm -fr /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/rpm
+ rm /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/Makefile
+ find /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64 -name '*.mimetex-*' -exec rm '{}' ';'
+ find /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64 -size 0 -name '*.sql' -exec rm '{}' ';'
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /home/user/879879/user/BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.uVhMBB
+ umask 022
+ cd /home/user/879879/user/BUILD
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ DOCDIR=/home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/usr/share/doc/moodle-xs-1.9.5.xs1.15.g7c6a865
+ export DOCDIR
+ /usr/bin/mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/usr/share/doc/moodle-xs-1.9.5.xs1.15.g7c6a865
+ cp -pr README.txt /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/usr/share/doc/moodle-xs-1.9.5.xs1.15.g7c6a865
+ exit 0
warning: File listed twice: /var/www/moodle/web/config.php
Provides: config(moodle-xs) = 1.9.5.xs1.15.g7c6a865-1.0.2.fc17 moodle-xs = 1.9.0 perl(AlgParser) perl(AlgParserWithImplicitExpand) perl(Expr) perl(ExprWithImplicitExpand)
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh /sbin/chkconfig pwgen
Requires(preun): /bin/sh /sbin/chkconfig /sbin/service
Requires: /bin/bash /bin/sh /usr/bin/perl /usr/bin/php perl(HTML::Entities)
Conflicts: moodle <= 2.5.0
Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64
Wrote: /home/user/879879/user/RPMS/noarch/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.s9o8IY
+ umask 022
+ cd /home/user/879879/user/BUILD
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ exit 0

$ rpm -qpl RPMS/noarch/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch.rpm |grep -c var
5831

$ rpm -qpl RPMS/noarch/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch.rpm |grep var |head
/var/lib/moodle
/var/log/moodle
/var/www/moodle
/var/www/moodle/web
/var/www/moodle/web/admin
/var/www/moodle/web/admin/antitheft.html
/var/www/moodle/web/admin/antitheft.php
/var/www/moodle/web/admin/auth.php
/var/www/moodle/web/admin/auth_config.php
/var/www/moodle/web/admin/block.php

$ head -n 2 SPECS/moodle-xs.spec 
%define moodlewebdir %{_var}/www/moodle/web
%define moodledatadir %{_var}/lib/moodle
#####################

Also I was able to build a RPM and install it with a fedora-17-i386 mock environment.  Here are some of the files within /var:

#####################
# ls -ld /var/lib/mock/fedora-17-i386-user/root/var/www/moodle/
drwxr-xr-x. 3 root root 4096 Nov 29 16:33 /var/lib/mock/fedora-17-i386-user/root/var/www/moodle/

# ls -ld /var/lib/mock/fedora-17-i386-user/root/var/lib/moodle/
drwxr-xr-x. 2 48 48 4096 Nov 29 16:32 /var/lib/mock/fedora-17-i386-user/root/var/lib/moodle/
#####################

How are you creating this RPM and are you still having issues?
Comment 2 kparmar4 2012-11-29 20:57:02 EST
As per this line, + mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web

There should be created a directory under /var/www/ but when I check it's not there. I talked to the person at OLPC who said that it should be there.

I am not sure if I should be able to see the directory when I create a package or not. I used "rpmbuild -ba moodle.spec" command to build this package.

If I am not supposed to see a directory, then why do I receive errors when I run "rpmlint" on the package? Please check the output of my fedora-review, the errors are listed there. If you can provide me with a solution, I would try and fix those errors.

Thank you for the review.
Comment 3 ben.harper 2012-11-30 11:05:21 EST
Here are the contents of /var/www/moodle/web from my previous tests:

#####################
$ ls ~/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/
admin   blog           course    files   help.php   lib      mnet   pix       sso    userpix
auth    build-version  enrol     filter  index.php  local    mod    question  tag    version.php
backup  calendar       error     grade   iplookup   login    my     rss       theme
blocks  config.php     file.php  group   lang       message  notes  search    user

# ls /var/lib/mock/fedora-17-i386-user/root/var/www/moodle/web/
admin   blog           course    files   help.php   lib      mnet   pix       sso    userpix
auth    build-version  enrol     filter  index.php  local    mod    question  tag    version.php
backup  calendar       error     grade   iplookup   login    my     rss       theme
blocks  config.php     file.php  group   lang       message  notes  search    user
#####################

Here is another test, issuing using 'rpmbuild -ba' command:

#####################
$ rpmbuild -ba SPECS/moodle-xs.spec 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.1NJTbG
+ umask 022
+ cd /home/user/879879/user/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/user/879879/user/BUILD
+ rm -rf moodle-xs-1.9.5.xs1.15.g7c6a865
+ /usr/bin/gzip -dc /home/user/879879/user/SOURCES/moodle-xs-1.9.5.xs1.15.g7c6a865.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ find . -type f '!' -name '*.pl' -exec chmod a-x '{}' ';'
+ find . -name '*.cgi' -exec chmod a+x '{}' ';'
+ chmod a+x admin/process_email.php
+ chmod a+x mod/chat/chatd.php
+ chmod a+x mod/wiki/ewiki/fragments/mkhuge
+ rm search/.cvsignore
+ sed -i 's/\r//' lib/adodb/license.txt
+ sed -i 's/\r//' lib/adodb/readme.txt
+ sed -i 's/\r//' lib/adodb/session/adodb-sess.txt
+ sed -i 's/\r//' lib/mp3player/readme.txt
+ sed -i 's/\r//' lib/pclzip/gnu-lgpl.txt
+ sed -i 's/\r//' lib/pclzip/readme.txt
+ sed -i 's/\r//' mod/wiki/ewiki/README
+ sed -i 's/\r//' mod/wiki/ewiki/README.de
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.UZhAAM
+ umask 022
+ cd /home/user/879879/user/BUILD
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm config-dist.php install.php COPYING.txt tags.txt filter/tex/mimetex.darwin filter/tex/mimetex.exe filter/tex/mimetex.freebsd filter/tex/mimetex.linux filter/tex/README.mimetex
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.xzwJ2S
+ umask 022
+ cd /home/user/879879/user/BUILD
+ '[' /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64 '!=' / ']'
+ rm -rf /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64
++ dirname /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64
+ mkdir -p /home/user/879879/user/BUILDROOT
+ mkdir /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ LANG=C
+ export LANG
+ unset DISPLAY
+ mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web
+ mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/lib/moodle
+ mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/log/moodle
+ mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/moodle/conf.d
+ cp -a Makefile README.txt admin auth backup blocks blog build-version calendar course enrol error file.php files filter grade group help.php index.php install iplookup lang lib local login message mnet mod my notes pix question rpm rss search sso tag theme user userpix version.php /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web
+ rm /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/README.txt
+ rm -fr /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/install
+ install -p -D -m 0644 rpm/moodle.conf /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/httpd/conf.d/moodle.conf
+ install -p -D -m 0644 rpm/moodle-config.php /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/config.php
+ install -p -D -m 0644 rpm/moodle.cron /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/cron.d/moodle
+ install -p -D -m 0644 rpm/moodle.logrotate /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/logrotate.d/moodle
+ install -p -D -m 0755 rpm/moodle-cron /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/usr/sbin/moodle-cron
+ install -p -D -m 0755 rpm/moodle.init /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/etc/rc.d/init.d/moodle
+ rm -fr /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/rpm
+ rm /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/Makefile
+ find /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64 -name '*.mimetex-*' -exec rm '{}' ';'
+ find /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64 -size 0 -name '*.sql' -exec rm '{}' ';'
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /home/user/879879/user/BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.gS8qg3
+ umask 022
+ cd /home/user/879879/user/BUILD
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ DOCDIR=/home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/usr/share/doc/moodle-xs-1.9.5.xs1.15.g7c6a865
+ export DOCDIR
+ /usr/bin/mkdir -p /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/usr/share/doc/moodle-xs-1.9.5.xs1.15.g7c6a865
+ cp -pr README.txt /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/usr/share/doc/moodle-xs-1.9.5.xs1.15.g7c6a865
+ exit 0
warning: File listed twice: /var/www/moodle/web/config.php
Provides: config(moodle-xs) = 1.9.5.xs1.15.g7c6a865-1.0.2.fc17 moodle-xs = 1.9.0 perl(AlgParser) perl(AlgParserWithImplicitExpand) perl(Expr) perl(ExprWithImplicitExpand)
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh /sbin/chkconfig pwgen
Requires(preun): /bin/sh /sbin/chkconfig /sbin/service
Requires: /bin/bash /bin/sh /usr/bin/perl /usr/bin/php perl(HTML::Entities)
Conflicts: moodle <= 2.5.0
Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/user/879879/user/BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64
Wrote: /home/user/879879/user/SRPMS/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.src.rpm
Wrote: /home/user/879879/user/RPMS/noarch/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.Qhomhw
+ umask 022
+ cd /home/user/879879/user/BUILD
+ cd moodle-xs-1.9.5.xs1.15.g7c6a865
+ exit 0

$ ls BUILDROOT/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.2.fc17.x86_64/var/www/moodle/web/
admin   blog           course    files   help.php   lib      mnet   pix       sso    userpix
auth    build-version  enrol     filter  index.php  local    mod    question  tag    version.php
backup  calendar       error     grade   iplookup   login    my     rss       theme
blocks  config.php     file.php  group   lang       message  notes  search    user
#####################

Looking over the output from the fedora-review, it appears that the /var/www/moodle/web/ directory is getting created, because it is noticing from empty files within that directory:

moodle-xs.noarch: E: zero-length /var/www/moodle/web/theme/chameleon/temp_user_styles.css


Are you not seeing the /var/www/moodle/web/ directory within your BUILDROOT?
Comment 4 kparmar4 2012-12-02 04:47:21 EST
Yes, My apology. I checked the Buildroot and it is there.
As you said it is noticing empty files within that directory, is there away that I can fix those errors?
Comment 5 ben.harper 2012-12-03 10:52:32 EST
Looking through the source tarball, there are several empty files:

$ find . -size 0 -type f
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/auth/index.html
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/lib/editor/htmlarea/index.html
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/lib/editor/index.html
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/lib/adodb/index.html
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/lib/typo3/csconvtbl/ascii.tbl
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/lib/speller/blank.html
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/theme/chameleon/pix/t/TINY-ICONS
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/theme/chameleon/pix/i/ICONS-16x16
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/theme/chameleon/pix/mod/index.html
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/theme/chameleon/temp_user_styles.css
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/mod/index.html
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/pix/t/TINY-ICONS
./BUILD/moodle-xs-1.9.5.xs1.15.g7c6a865/pix/i/ICONS-16x16


Some of those names seem to be directory names and not file names.  

The version of this package seems very strange.  Is this a stable release or some development release?
Comment 6 kparmar4 2012-12-03 12:07:56 EST
It is a development release.
I need to fix the errors if possible and then release the final package.
It is a build for my college course.
Comment 7 kparmar4 2012-12-03 12:09:46 EST
I am aware of the empty file errrors but not sure gow to fix them.
Comment 8 kparmar4 2012-12-03 12:10:07 EST
I am aware of the empty file errrors but not sure gow to fix them.
Comment 9 ben.harper 2012-12-03 13:26:10 EST
You could update those files within the tarball to ensure they are not empty files.  

Even with the rpmlint errors about empty files, the RPM still get built.
Comment 10 kparmar4 2012-12-03 14:01:49 EST
Ohk.
Just to make sure is it OK if I can't fix those errors for some reason and build the package?

Also, can you do a review for https://bugzilla.redhat.com/show_bug.cgi?id=879877 request? I am pretty sure that the package I built is fine.
Comment 11 ben.harper 2012-12-03 17:56:46 EST
Is your goal just to build this RPM, or get it into Fedora?  

I am sponsor, but looking over that other package there are some failed items that need to get addressed.
Comment 12 kparmar4 2012-12-03 18:47:06 EST
My goal is to build this rpm and if possible get it into fedora.

You mentioned there are some failed items in the other package, can you mark them in the comment so I can take a look and fix it?
Comment 13 ben.harper 2012-12-04 11:32:50 EST
If your goal is just to create a rpm, I was able to create a rpm and install it within a mock environment based your source rpm.  

Getting this package to Fedora is a different story.  First, I do not believe that development releases will qualify.  Then you would need to work through any issues with stable release.  As a student, are you able to fulfill the requirements of a package maintainer:

http://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Understand_your_responsibilities

In regards to failed items, the output of Fedora-Review Tool is fairly straight forward.  Items marked '[!]' are failed items.
Comment 14 kparmar4 2012-12-04 22:29:58 EST
I have already met the requirements. I have FAS2 account and also have cert for koji.
If you would like I would be happy to show the koji build of this package.

Ok. I'll go through the review once again fix any error I find.
Comment 15 kparmar4 2012-12-04 22:33:27 EST
I have already met the requirements. I have FAS2 account and also have cert for koji.
If you would like I would be happy to show the koji build of this package.

Ok. I'll go through the review once again fix any error I find.
Comment 16 kparmar4 2012-12-06 02:38:51 EST
Spec File: https://www.dropbox.com/s/cb7i0uhq005cfat/moodle-xs%20%282%29.spec
RPM: https://www.dropbox.com/s/p37acy2dj8k05uj/moodle-xs-1.9.5.xs1.15.g7c6a865-1.0.3.fc17.src.rpm

I have tried to fix the errors as much as I could.
If you can give me some more advice regarding errors, that would be great.

Note You need to log in before you can comment on or make changes to this bug.